Bug 1658697 - freeradius server (radiusd) does not start at boot time
Summary: freeradius server (radiusd) does not start at boot time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freeradius
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Alex Scheel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 16:59 UTC by pgaltieri
Modified: 2019-08-13 01:58 UTC (History)
3 users (show)

Fixed In Version: freeradius-3.0.19-3.fc30 freeradius-3.0.19-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:05:11 UTC


Attachments (Terms of Use)

Description pgaltieri 2018-12-12 16:59:51 UTC
Description of problem:
the radiusd server fails to start at boot time.

Version-Release number of selected component (if applicable):
freeradius-3.0.15-13.fc28.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Configure radiusd to start at boot
2. Boot system
3.

Actual results:
Dec  8 10:12:30 jackstraw systemd[1]: radiusd.service: Control process exited, code=exited status=1
Dec  8 10:12:30 jackstraw systemd[1]: radiusd.service: Failed with result 'exit-code'.
Dec  8 10:12:30 jackstraw systemd[1]: Failed to start FreeRADIUS high performance RADIUS server..


Expected results:
when I do a ps I should see /usr/sbin/radiusd -d /etc/raddb

Additional info:
It does start up after the system is up and running.  This has been a long standing problem.  I thought I had filed a bug about this a long time ago, but I can't find it.

Looking at boot.log I see the following:

  Starting FreeRADIUS high performance RADIUS server....
  Starting MariaDB 10.2 database server...

I have radiusd configured to use a mysql database.  So if freeradius is started before mariadb then radiusd will likely fail to start since the database isn't available.  I suspect flipping the order will resolve the problem.

Comment 1 Alex Scheel 2018-12-12 18:14:27 UTC
Hi,

I'm inclined to leave this as-is and roll it into the documentation change for bz#1637275.

iirc, service configuration is in /usr/lib/systemd/system/radiusd.service -- you're welcome to add more dependencies (in this case, mysql) there as your configuration dictates.



- Alex

Comment 2 pgaltieri 2018-12-12 21:01:33 UTC
The issue I have though is that there is no indication from the freeradius server indicating why it didn't start.  The fact that the error is "Failed with result 'exit-code'" isn't very helpful.  It would be nice to have some information that might help identify the problem.

Comment 3 Ben Cotton 2019-05-02 19:22:41 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-02 20:08:48 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora Update System 2019-05-09 19:40:44 UTC
freeradius-3.0.19-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4a8eeaf80e

Comment 6 Fedora Update System 2019-05-09 19:40:52 UTC
freeradius-3.0.19-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9454ce61b2

Comment 7 Fedora Update System 2019-05-09 19:41:00 UTC
freeradius-3.0.19-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9b58ccab2c

Comment 8 Alex Scheel 2019-05-09 19:42:21 UTC
This bug has been affected by recent package builds:

freeradius-3.0.19-3 -- rawhide
https://bodhi.fedoraproject.org/updates/FEDORA-2019-4a8eeaf80e -- f30
https://bodhi.fedoraproject.org/updates/FEDORA-2019-9454ce61b2 -- f29
https://bodhi.fedoraproject.org/updates/FEDORA-2019-9b58ccab2c -- f28

Please try it out and give Karma as appropriate. Thanks!

Comment 9 Fedora Update System 2019-05-10 02:06:21 UTC
freeradius-3.0.19-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4a8eeaf80e

Comment 10 Fedora Update System 2019-05-10 02:46:34 UTC
freeradius-3.0.19-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9b58ccab2c

Comment 11 Fedora Update System 2019-05-10 03:45:43 UTC
freeradius-3.0.19-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9454ce61b2

Comment 12 Ben Cotton 2019-05-28 19:05:11 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 13 Fedora Update System 2019-06-19 22:44:50 UTC
freeradius-3.0.19-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-08-13 01:58:55 UTC
freeradius-3.0.19-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.